Group: Development/Debuggers
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		valkyrie
Version:	2.0.0
Release:	alt2_30
Summary:	Graphical User Interface for Valgrind Suite

%global valkyrie %{name}-%{version}

License:	GPLv2
URL:		http://www.valgrind.org/
Source0:	http://www.valgrind.org/downloads/%{valkyrie}.tar.bz2
Source1:	%{name}.desktop
Patch1:		%{name}-docdir.patch
Patch2:		%{name}-usleep.patch
Patch3:		%{name}-getuid.patch
Patch4:		%{name}-getpid.patch

BuildRequires:	desktop-file-utils
BuildRequires:	libqt4-declarative libqt4-devel libqt4-help qt4-designer qt4-doc-html qt5-declarative-devel qt5-designer qt5-tools
Requires:	valgrind >= 3.6.0
Source44: import.info

%description
Valkyrie is a graphical user interface to the Valgrind suite
of tools for debugging and profiling programs.  It makes use
of the XML output capabilities offered by Valgrind.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{qmake_qt4} PREFIX=%{_prefix}
%make_build

%install
make INSTALL_ROOT=%{buildroot} install
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
install -d %{buildroot}%{_datadir}/pixmaps/
install -m 644 %{_builddir}/%{valkyrie}/icons/%{name}.xpm %{buildroot}%{_datadir}/pixmaps/
cp -p %{_builddir}/%{valkyrie}/COPYING %{buildroot}%{_docdir}/%{valkyrie}
cp -p %{_builddir}/%{valkyrie}/INSTALL %{buildroot}%{_docdir}/%{valkyrie}
cp -p %{_builddir}/%{valkyrie}/README  %{buildroot}%{_docdir}/%{valkyrie}

%files
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_docdir}/%{valkyrie}

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 2.0.0-alt2_30
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 2.0.0-alt2_29
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 2.0.0-alt2_28
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 2.0.0-alt2_27
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 2.0.0-alt2_26
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 2.0.0-alt2_25
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 2.0.0-alt2_24
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt2_23
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_23
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_22
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_21
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_20
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_19
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_18
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_17
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_15
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_14
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_12
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_10
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_9
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_8
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_7
- initial fc import

